#ifndef SHARED_PODCAST_UTIL_H
#define SHARED_PODCAST_UTIL_H


void get_podcast_key(CONFIG_STRUCT *conf, char *podcast_key);
int is_valid_podcast_file_extension(char *ext);
void  validate_podcast_key(const char *podcast_key, CONFIG_STRUCT *conf);
void log_podcast_download(const char *info_fname, CONFIG_STRUCT *conf);
void set_podcast_download_log_data(const char *info_fname, CONFIG_STRUCT *conf);

#endif


